routes/web.php
<?php

use App\Http\Controllers\AwardsController;
use App\Http\Controllers\PointsController;
use App\Http\Controllers\ProfileController;
use App\Http\Controllers\SendAwardsController;
use App\Http\Controllers\UsersController;
use App\Http\Controllers\VounchersController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::middleware('auth')->group(function () {

    Route::get('/', [UsersController::class, 'dashboard'])->name('dashboard');

    // USERS
    Route::middleware('admin')->prefix('usuarios')->group(function () {
        Route::name('users.')->group(function () {
            Route::get('/adicionar', [UsersController::class, 'create'])->name('create');
            Route::post('/adicionar', [UsersController::class, 'store'])->name('store');
            Route::get('/visualizando/{id}', [UsersController::class, 'show'])->name('show');
            Route::get('/desabilitar/{id}', [UsersController::class, 'destroy'])->name('destroy');
            Route::get('/editar/{id}', [UsersController::class, 'edit'])->name('edit');
            Route::put('/editar/{id}', [UsersController::class, 'update'])->name('update');
            Route::get('/minha-conta', [UsersController::class, 'account'])->name('account');
            Route::put('/minha-conta', [UsersController::class, 'accountUp'])->name('accountUp');
            Route::get('/barra-lateral', [UsersController::class, 'aside'])->name('aside');
            Route::get('/aniversariantes', [UsersController::class, 'birthdays'])->name('birthdays');
            Route::get('/aprovar/{id}/{status}', [UsersController::class, 'aprove'])->name('aprove');
            Route::get('/ranking', [UsersController::class, 'ranking'])->name('ranking');
            Route::get('/{id?}', [UsersController::class, 'index'])->name('index');
        });
    });
    
    // USERS
    Route::prefix('pontos')->group(function () {
        Route::name('points.')->group(function () {
            Route::get('/', [PointsController::class, 'index'])->name('index');
            Route::post('/adicionar', [PointsController::class, 'store'])->name('store')->middleware('admin');
            Route::get('/pontuacao', [PointsController::class, 'table'])->name('table');
        });
    });
    
    // USERS
    Route::prefix('premios')->middleware('admin')->group(function () {
        Route::name('awards.')->group(function () {
            Route::get('/', [AwardsController::class, 'index'])->name('index');
            Route::get('/adicionar', [AwardsController::class, 'create'])->name('create');
            Route::post('/adicionar', [AwardsController::class, 'store'])->name('store');
            Route::get('/visualizando/{id}', [AwardsController::class, 'show'])->name('show');
            Route::get('/desabilitar/{id}', [AwardsController::class, 'destroy'])->name('destroy');
            Route::get('/editar/{id}', [AwardsController::class, 'edit'])->name('edit');
            Route::put('/editar/{id}', [AwardsController::class, 'update'])->name('update');
        });
    });
    
    // USERS
    Route::prefix('envio-de-premios')->middleware('admin')->group(function () {
        Route::name('send.awards.')->group(function () {
            Route::get('/', [SendAwardsController::class, 'index'])->name('index');
            Route::get('/adicionar', [SendAwardsController::class, 'create'])->name('create');
            Route::post('/adicionar', [SendAwardsController::class, 'store'])->name('store');
            Route::get('/visualizando/{id}', [SendAwardsController::class, 'show'])->name('show');
            Route::get('/desabilitar/{id}/{status}', [SendAwardsController::class, 'destroy'])->name('destroy');
            Route::get('/editar/{id}', [SendAwardsController::class, 'edit'])->name('edit');
            Route::put('/editar/{id}', [SendAwardsController::class, 'update'])->name('update');
            Route::get('/email', [SendAwardsController::class, 'mail'])->name('email');
        });
    });
    
    Route::get('/solicitar', [AwardsController::class, 'results'])->name('awards.results');
    Route::get('/solicitar/{id}', [SendAwardsController::class, 'request'])->name('send.awards.request');

});

Route::get('/teste-email/{email?}', [SendAwardsController::class, 'mail'])->name('email');


require __DIR__.'/auth.php';

resources/views/layouts/config.blade.php
<script>var defaultThemeMode = "light"; var themeMode; if ( document.documentElement ) { if ( document.documentElement.hasAttribute("data-bs-theme-mode")) { themeMode = document.documentElement.getAttribute("data-bs-theme-mode"); } else { if ( localStorage.getItem("data-bs-theme") !== null ) { themeMode = localStorage.getItem("data-bs-theme"); } else { themeMode = defaultThemeMode; } } if (themeMode === "system") { themeMode = window.matchMedia("(prefers-color-scheme: dark)").matches ? "dark" : "light"; } document.documentElement.setAttribute("data-bs-theme", themeMode); }</script>

resources/views/layouts/footer.blade.php
<div id="kt_app_footer" class="app-footer">
    <!--begin::Footer container-->
    <div class="app-container container-fluid d-flex flex-column flex-md-row flex-center flex-md-stack py-3">
        <!--begin::Copyright-->
        <div class="text-dark order-2 order-md-1">
            <span class="text-muted fw-semibold me-1">{{ date('Y') }}&copy;</span>
            <a href="https://dalmobilesjc.com.br/" target="_blank" class="text-gray-800 text-hover-primary">Dalmóbile Points - Todos os direitos reservados</a>
        </div>
        <!--end::Copyright-->
        <!--begin::Menu-->
        <ul class="menu menu-gray-600 menu-hover-primary fw-semibold order-1">
            <li class="menu-item">
                <a href="https://api.whatsapp.com/send?phone=5512996049888&text=Ol%C3%A1,%20gostaria%20de%20fala%20com%20o%20suporte%20do%20sistema%20Dalm%C3%B3bile." target="_blank" class="menu-link px-2">Suporte Técnico</a>
            </li>
        </ul>
        <!--end::Menu-->
    </div>
    <!--end::Footer container-->
</div>

resources/views/layouts/header.blade.php
<!--begin::Header-->
<div id="kt_app_header" class="app-header">
    <!--begin::Header container-->
    <div class="app-container container-fluid d-flex align-items-stretch justify-content-between" id="kt_app_header_container">
        <!--begin::Sidebar mobile toggle-->
        <div class="d-flex align-items-center d-lg-none ms-n3 me-1 me-md-2" title="Show sidebar menu">
            <div class="btn btn-icon btn-active-color-primary w-35px h-35px" id="kt_app_sidebar_mobile_toggle">
                <i class="ki-duotone ki-abstract-14 fs-2 fs-md-1">
                    <span class="path1"></span>
                    <span class="path2"></span>
                </i>
            </div>
        </div>
        <!--end::Sidebar mobile toggle-->
        <!--begin::Mobile logo-->
        <div class="d-flex align-items-center flex-grow-1 flex-lg-grow-0">
            <a href="{{ route('dashboard') }}" class="d-lg-none">
                <img alt="Logo" src="{{ asset('assets/media/images/logo-black.svg') }}" class="h-30px" />
            </a>
        </div>
        <!--end::Mobile logo-->
        <!--begin::Header wrapper-->
        <div class="d-flex align-items-stretch justify-content-between flex-lg-grow-1" id="kt_app_header_wrapper">
            <!--begin::Menu wrapper-->
            <div class="app-header-menu app-header-mobile-drawer align-items-stretch" data-kt-drawer="true" data-kt-drawer-name="app-header-menu" data-kt-drawer-activate="{default: true, lg: false}" data-kt-drawer-overlay="true" data-kt-drawer-width="250px" data-kt-drawer-direction="end" data-kt-drawer-toggle="#kt_app_header_menu_toggle" data-kt-swapper="true" data-kt-swapper-mode="{default: 'append', lg: 'prepend'}" data-kt-swapper-parent="{default: '#kt_app_body', lg: '#kt_app_header_wrapper'}">
                <!--begin::Menu-->
                <div class="menu menu-rounded menu-column menu-lg-row my-5 my-lg-0 align-items-stretch fw-semibold px-2 px-lg-0" id="kt_app_header_menu" data-kt-menu="true">
                @if(Auth::user()->role_id == 1)
                    <!--begin:Menu item-->
                    <a href="#" target="_blank" class="menu-item menu-lg-down-accordion menu-sub-lg-down-indention me-0 me-lg-2">
                        <!--begin:Menu link-->
                        <span class="menu-link">
                            <span class="menu-title">Dashboard</span>
                            <span class="menu-arrow d-lg-none"></span>
                        </span>
                        <!--end:Menu link-->
                    </a>
                    <!--end:Menu item-->
                    <!--begin:Menu item-->
                    <a href="#" target="_blank" class="menu-item menu-lg-down-accordion menu-sub-lg-down-indention me-0 me-lg-2">
                        <!--begin:Menu link-->
                        <span class="menu-link">
                            <span class="menu-title">Nosso Whatsapp</span>
                            <span class="menu-arrow d-lg-none"></span>
                        </span>
                        <!--end:Menu link-->
                    </a>
                    <!--end:Menu item-->
                    <!--begin:Menu item-->
                    <a href="#" target="_blank" class="menu-item menu-lg-down-accordion menu-sub-lg-down-indention me-0 me-lg-2">
                        <!--begin:Menu link-->
                        <span class="menu-link">
                            <span class="menu-title">Nosso Site</span>
                            <span class="menu-arrow d-lg-none"></span>
                        </span>
                        <!--end:Menu link-->
                    </a>
                    <!--end:Menu item-->
                @endif
                </div>
                <!--end::Menu-->
            </div>
            <!--end::Menu wrapper-->
            <!--begin::Navbar-->
            <div class="app-navbar flex-shrink-0">
                <!--begin::Theme mode-->
                <div class="app-navbar-item ms-1 ms-md-3">
                    <!--begin::Menu toggle-->
                    <a href="#" class="btn btn-icon btn-custom btn-icon-muted btn-active-light btn-active-color-primary w-30px h-30px w-md-40px h-md-40px" data-kt-menu-trigger="{default:'click', lg: 'hover'}" data-kt-menu-attach="parent" data-kt-menu-placement="bottom-end">
                        <i class="ki-duotone ki-night-day theme-light-show fs-2 fs-lg-1">
                            <span class="path1"></span>
                            <span class="path2"></span>
                            <span class="path3"></span>
                            <span class="path4"></span>
                            <span class="path5"></span>
                            <span class="path6"></span>
                            <span class="path7"></span>
                            <span class="path8"></span>
                            <span class="path9"></span>
                            <span class="path10"></span>
                        </i>
                        <i class="ki-duotone ki-moon theme-dark-show fs-2 fs-lg-1">
                            <span class="path1"></span>
                            <span class="path2"></span>
                        </i>
                    </a>
                    <!--begin::Menu toggle-->
                    <!--begin::Menu-->
                    <div class="menu menu-sub menu-sub-dropdown menu-column menu-rounded menu-title-gray-700 menu-icon-gray-500 menu-active-bg menu-state-color fw-semibold py-4 fs-base w-150px" data-kt-menu="true" data-kt-element="theme-mode-menu">
                        <!--begin::Menu item-->
                        <div class="menu-item px-3 my-0">
                            <a href="#" class="menu-link px-3 py-2" data-kt-element="mode" data-kt-value="light">
                                <span class="menu-icon" data-kt-element="icon">
                                    <i class="ki-duotone ki-night-day fs-2">
                                        <span class="path1"></span>
                                        <span class="path2"></span>
                                        <span class="path3"></span>
                                        <span class="path4"></span>
                                        <span class="path5"></span>
                                        <span class="path6"></span>
                                        <span class="path7"></span>
                                        <span class="path8"></span>
                                        <span class="path9"></span>
                                        <span class="path10"></span>
                                    </i>
                                </span>
                                <span class="menu-title">Light</span>
                            </a>
                        </div>
                        <!--end::Menu item-->
                        <!--begin::Menu item-->
                        <div class="menu-item px-3 my-0">
                            <a href="#" class="menu-link px-3 py-2" data-kt-element="mode" data-kt-value="dark">
                                <span class="menu-icon" data-kt-element="icon">
                                    <i class="ki-duotone ki-moon fs-2">
                                        <span class="path1"></span>
                                        <span class="path2"></span>
                                    </i>
                                </span>
                                <span class="menu-title">Dark</span>
                            </a>
                        </div>
                        <!--end::Menu item-->
                        <!--begin::Menu item-->
                        <div class="menu-item px-3 my-0">
                            <a href="#" class="menu-link px-3 py-2" data-kt-element="mode" data-kt-value="system">
                                <span class="menu-icon" data-kt-element="icon">
                                    <i class="ki-duotone ki-screen fs-2">
                                        <span class="path1"></span>
                                        <span class="path2"></span>
                                        <span class="path3"></span>
                                        <span class="path4"></span>
                                    </i>
                                </span>
                                <span class="menu-title">System</span>
                            </a>
                        </div>
                        <!--end::Menu item-->
                    </div>
                    <!--end::Menu-->
                </div>
                <!--end::Theme mode-->
                <!--begin::User menu-->
                <div class="app-navbar-item ms-1 ms-md-3" id="kt_header_user_menu_toggle">
                    <!--begin::Menu wrapper-->
                    <div class="cursor-pointer d-flex symbol symbol-30px symbol-md-40px" data-kt-menu-trigger="{default: 'click', lg: 'hover'}" data-kt-menu-attach="parent" data-kt-menu-placement="bottom-end">
                        <img src="{{ searchImage('usuarios', Auth::id()) }}" alt="user" class="object-fit-cover me-3" />
                        <!--begin::Username-->
                        <div class="d-none d-md-flex flex-column">
                            <div class="fw-bold d-flex align-items-center fs-5">{{ Str::limit(Auth::user()->name, 30) }}</div>
                            <a href="#" class="fw-semibold text-muted text-hover-primary fs-7">{{ Str::limit(Auth::user()->email, 30) }}</a>
                        </div>
                        <!--end::Username-->
                    </div>
                    <!--begin::User account menu-->
                    <div class="menu menu-sub menu-sub-dropdown menu-column menu-rounded menu-gray-800 menu-state-bg menu-state-color fw-semibold py-4 fs-6 w-275px" data-kt-menu="true">
                        <!--begin::Menu item-->
                        <div class="menu-item px-3">
                            <div class="menu-content d-flex align-items-center px-3">
                                <!--begin::Avatar-->
                                <div class="symbol symbol-50px me-5">
                                    <img alt="Logo" src="{{ searchImage('usuarios', Auth::id()) }}" class="object-fit-cover" />
                                </div>
                                <!--end::Avatar-->
                                <!--begin::Username-->
                                <div class="d-flex flex-column">
                                    <div class="fw-bold d-flex align-items-center fs-5">{{ Str::limit(Auth::user()->name, 30) }}</div>
                                    <a href="#" class="fw-semibold text-muted text-hover-primary fs-7">{{ Str::limit(Auth::user()->email, 30) }}</a>
                                </div>
                                <!--end::Username-->
                            </div>
                        </div>
                        <!--end::Menu item-->
                        <!--begin::Menu separator-->
                        <div class="separator my-2"></div>
                        <!--end::Menu separator-->
                        <!--begin::Menu item-->
                        <div class="menu-item px-5">
                            <a href="{{ route('users.account') }}" class="menu-link px-5">Meu Perfil</a>
                        </div>
                        {{-- <!--end::Menu item-->
                        <!--begin::Menu item-->
                        <div class="menu-item px-5">
                            <a href="#" class="menu-link px-5">
                                <span class="menu-text">Meus Prêmios</span>
                                <span class="menu-badge">
                                    <span class="badge badge-light-danger badge-circle fw-bold fs-7">3</span>
                                </span>
                            </a>
                        </div>
                        <!--end::Menu item--> --}}
                        <!--begin::Menu item-->
                        <div class="menu-item px-5">
                            <a href="{{ route('logout') }}" class="menu-link px-5">Sair</a>
                        </div>
                        <!--end::Menu item-->
                    </div>
                    <!--end::User account menu-->
                    <!--end::Menu wrapper-->
                </div>
                <!--end::User menu-->
                <!--begin::Header menu toggle-->
                <div class="app-navbar-item d-lg-none ms-2 me-n2" title="Show header menu">
                    <div class="btn btn-flex btn-icon btn-active-color-primary w-30px h-30px" id="kt_app_header_menu_toggle">
                        <i class="ki-duotone ki-element-4 fs-1">
                            <span class="path1"></span>
                            <span class="path2"></span>
                        </i>
                    </div>
                </div>
                <!--end::Header menu toggle-->
            </div>
            <!--end::Navbar-->
        </div>
        <!--end::Header wrapper-->
    </div>
    <!--end::Header container-->
</div>
<!--end::Header-->

resources/views/layouts/sidebar.blade.php
<div id="kt_app_sidebar" class="app-sidebar flex-column" data-kt-drawer="true" data-kt-drawer-name="app-sidebar" data-kt-drawer-activate="{default: true, lg: false}" data-kt-drawer-overlay="true" data-kt-drawer-width="225px" data-kt-drawer-direction="start" data-kt-drawer-toggle="#kt_app_sidebar_mobile_toggle">
    <!--begin::Logo-->
    <div class="app-sidebar-logo px-6" id="kt_app_sidebar_logo">
        <!--begin::Logo image-->
        <a href="{{ route('dashboard') }}">
            <img alt="Logo" src="{{ asset('assets/media/images/logo-white.svg') }}" class="h-25px app-sidebar-logo-default" />
            <img alt="Logo" src="{{ asset('assets/media/images/favicon.ico') }}" class="h-20px app-sidebar-logo-minimize" />
        </a>
        <div id="kt_app_sidebar_toggle" class="app-sidebar-toggle btn btn-icon btn-shadow btn-sm btn-color-muted btn-active-color-primary body-bg h-30px w-30px position-absolute top-50 start-100 translate-middle rotate" data-kt-toggle="true" data-kt-toggle-state="active" data-kt-toggle-target="body" data-kt-toggle-name="app-sidebar-minimize">
            <i class="ki-duotone ki-double-left fs-2 rotate-180">
                <span class="path1"></span>
                <span class="path2"></span>
            </i>
        </div>
        <!--end::Sidebar toggle-->
    </div>
    <!--end::Logo-->
    <!--begin::sidebar menu-->
    <div class="app-sidebar-menu overflow-hidden flex-column-fluid">
        <!--begin::Menu wrapper-->
        <div id="kt_app_sidebar_menu_wrapper" class="app-sidebar-wrapper hover-scroll-overlay-y my-5" data-kt-scroll="true" data-kt-scroll-activate="true" data-kt-scroll-height="auto" data-kt-scroll-dependencies="#kt_app_sidebar_logo, #kt_app_sidebar_footer" data-kt-scroll-wrappers="#kt_app_sidebar_menu" data-kt-scroll-offset="5px" data-kt-scroll-save-state="true">
            <!--begin::Menu-->
            <div class="menu menu-column menu-rounded menu-sub-indention px-3" id="#kt_app_sidebar_menu" data-kt-menu="true" data-kt-menu-expand="false">
                <!--begin:Menu item-->
                <div class="menu-item pt-5">
                    <!--begin:Menu content-->
                    <div class="menu-content">
                        <span class="menu-heading fw-bold text-uppercase fs-7">Menu</span>
                    </div>
                    <!--end:Menu content-->
                </div>
                <!--end:Menu item-->
                @if(Auth::user()->role_id == 1)
                <!--begin:Menu item-->
                <div class="menu-item">
                    <!--begin:Menu link-->
                    <a class="menu-link" href="{{ route('dashboard') }}">
                        <span class="menu-icon">
                            <i class="fa-solid fa-chart-simple fs-5"></i>
                        </span>
                        <span class="menu-title fs-5 ms-2">Dashboard</span>
                    </a>
                    <!--end:Menu link-->
                </div>
                <!--end:Menu item-->
                <!--begin:Menu item-->
                <div class="menu-item">
                    <!--begin:Menu link-->
                    <a class="menu-link" href="{{ route('users.index', 2) }}">
                        <span class="menu-icon">
                            <i class="fa-solid fa-users fs-5"></i>
                        </span>
                        <span class="menu-title fs-5 ms-2">Arquitetos</span>
                    </a>
                    <!--end:Menu link-->
                </div>
                <!--end:Menu item-->
                <!--begin:Menu item-->
                <div class="menu-item">
                    <!--begin:Menu link-->
                    <a class="menu-link" href="{{ route('users.index', 3) }}">
                        <span class="menu-icon">
                            <i class="fa-solid fa-users fs-5"></i>
                        </span>
                        <span class="menu-title fs-5 ms-2">Decoradores</span>
                    </a>
                    <!--end:Menu link-->
                </div>
                <!--end:Menu item-->
                <!--begin:Menu item-->
                <div class="menu-item">
                    <!--begin:Menu link-->
                    <a class="menu-link" href="{{ route('users.birthdays') }}">
                        <span class="menu-icon">
                            <i class="fa-solid fa-cake-candles fs-5"></i>
                        </span>
                        <span class="menu-title fs-5 ms-2">Aniversariantes</span>
                    </a>
                    <!--end:Menu link-->
                </div>
                <!--end:Menu item-->
                <!--begin:Menu item-->
                <div class="menu-item">
                    <!--begin:Menu link-->
                    <a class="menu-link" href="{{ route('points.index') }}">
                        <span class="menu-icon">
                            <i class="fa-solid fa-coins fs-5"></i>
                        </span>
                        <span class="menu-title fs-5 ms-2">Pontos</span>
                    </a>
                    <!--end:Menu link-->
                </div>
                <!--end:Menu item-->
                <!--begin:Menu item-->
                <div class="menu-item">
                    <!--begin:Menu link-->
                    <a class="menu-link" href="{{ route('users.ranking') }}">
                        <span class="menu-icon">
                            <i class="fa-solid fa-ranking-star fs-5"></i>
                        </span>
                        <span class="menu-title fs-5 ms-2">Ranking</span>
                    </a>
                    <!--end:Menu link-->
                </div>
                <!--end:Menu item-->
                <!--begin:Menu item-->
                <div class="menu-item">
                    <!--begin:Menu link-->
                    <a class="menu-link" href="{{ route('awards.index') }}">
                        <span class="menu-icon">
                            <i class="fa-solid fa-trophy fs-5"></i>
                        </span>
                        <span class="menu-title fs-5 ms-2">Prêmios</span>
                    </a>
                    <!--end:Menu link-->
                </div>
                <!--end:Menu item-->
                <!--begin:Menu item-->
                <div class="menu-item">
                    <!--begin:Menu link-->
                    <a class="menu-link" href="{{ route('send.awards.index') }}">
                        <span class="menu-icon">
                            <i class="fa-solid fa-gift fs-5"></i>
                        </span>
                        <span class="menu-title fs-5 ms-2">Envios de prêmios</span>
                    </a>
                    <!--end:Menu link-->
                </div>
                <!--end:Menu item-->
                @else
                <!--begin:Menu item-->
                <div class="menu-item">
                    <!--begin:Menu link-->
                    <a class="menu-link" href="{{ route('dashboard') }}">
                        <span class="menu-icon">
                            <i class="fa-solid fa-chart-simple fs-5"></i>
                        </span>
                        <span class="menu-title fs-5 ms-2">Início</span>
                    </a>
                    <!--end:Menu link-->
                </div>
                <!--end:Menu item-->
                <!--begin:Menu item-->
                <div class="menu-item">
                    <!--begin:Menu link-->
                    <a class="menu-link" href="{{ route('points.index') }}">
                        <span class="menu-icon">
                            <i class="fa-solid fa-ranking-star fs-5"></i>
                        </span>
                        <span class="menu-title fs-5 ms-2">Pontos</span>
                    </a>
                    <!--end:Menu link-->
                </div>
                <!--end:Menu item-->
                <!--begin:Menu item-->
                <div class="menu-item">
                    <!--begin:Menu link-->
                    <a class="menu-link" href="{{ route('awards.results') }}">
                        <span class="menu-icon">
                            <i class="fa-solid fa-trophy fs-5"></i>
                        </span>
                        <span class="menu-title fs-5 ms-2">Prêmios</span>
                    </a>
                    <!--end:Menu link-->
                </div>
                <!--end:Menu item-->
                <!--begin:Menu item-->
                <div class="menu-item">
                    <!--begin:Menu link-->
                    <a class="menu-link" href="{{ url('assets/files/termo.pdf') }}" target="_blank">
                        <span class="menu-icon">
                            <i class="fa-solid fa-file-lines fs-5"></i>
                        </span>
                        <span class="menu-title fs-5 ms-2">Termos de uso</span>
                    </a>
                    <!--end:Menu link-->
                </div>
                <!--end:Menu item-->
                <!--begin:Menu item-->
                <div class="menu-item">
                    <!--begin:Menu link-->
                    <a class="menu-link" href="{{ route('points.table') }}">
                        <span class="menu-icon">
                            <i class="fa-solid fa-star fs-5"></i>
                        </span>
                        <span class="menu-title fs-5 ms-2">Regra de Pontuação</span>
                    </a>
                    <!--end:Menu link-->
                </div>
                <!--end:Menu item-->
                <!--begin:Menu item-->
                <div class="menu-item">
                    <!--begin:Menu link-->
                    <a class="menu-link" href="#">
                        <span class="menu-icon">
                            <i class="fa-brands fa-whatsapp fs-5"></i>
                        </span>
                        <span class="menu-title fs-5 ms-2">Nosso Whatsapp</span>
                    </a>
                    <!--end:Menu link-->
                </div>
                <!--end:Menu item-->
                <!--begin:Menu item-->
                <div class="menu-item">
                    <!--begin:Menu link-->
                    <a class="menu-link" href="#">
                        <span class="menu-icon">
                            <i class="fa-solid fa-globe fs-5"></i>
                        </span>
                        <span class="menu-title fs-5 ms-2">Nosso Site</span>
                    </a>
                    <!--end:Menu link-->
                </div>
                <!--end:Menu item-->
                <p class="m-0 text-center fw-bolder mt-5"><span class="badge badge-primary fs-6">SEUS PONTOS: {{ Auth::user()->points->sum('points')}}</span></p>
                @endif
            </div>
            <!--end::Menu-->
        </div>
        <!--end::Menu wrapper-->
    </div>
    <!--end::sidebar menu-->
    <!--begin::Footer-->
    <div class="app-sidebar-footer flex-column-auto pt-2 pb-6 px-6" id="kt_app_sidebar_footer">
        <a href="https://dalmobilesjc.com.br/" target="_blank" class="btn btn-flex btn-sidebar flex-center btn-custom overflow-hidden text-nowrap px-0 h-40px w-100">
            <span class="btn-label">www.dalmobilesjc.com.br</span>
            <i class="fa-solid fa-globe btn-icon fs-5 ms-1"></i>
        </a>
    </div>
    <!--end::Footer-->
</div>